# Guidelines for contributing to _CircleBar_

The following is a set of guidelines for contributing to _CircleBar_ on GitHub.

> First of all, thanks for contributing to CircleBar. All of the PRs are welcome.

## I want to report a problem or ask a question

Before submitting a new GitHub issue, please make sure to

- Check out the [readme](README).
- Search for [existing GitHub issues](https://github.com/softhausHQ/CircleBar/issues).

If the above doesn't help, please [submit an issue](https://github.com/softhausHQ/CircleBar/issues/new) on GitHub.

## I want to contribute to _CircleBar_

### Things to keep in mind

- Please do not change the minimum iOS version.
- Always document new public methods and properties.

### Testing your local changes

Before opening a pull request, please make sure your changes don't break things.

- The framework and example project should build without warnings.
- The example project should run without issues.

### Submitting the PR

When the coding is done and you’ve finished testing your changes, you are ready to submit the PR to the [public repository](https://github.com/softhausHQ/CircleBar). We recommend the following:

- Use a descriptive title.
- Link the issues that are related to your PR in the body.  
- Be nice.

## License

This project is licensed under the terms of the MIT license. See the [LICENSE](LICENSE) file.
